Skip to main content
GET
Read developer app configuration

Authorizations

Authorization
string
header
required

Account Service Key, prefixed with pho_ask_, sent as Authorization: Bearer <key>. Acts on behalf of its owning account, subject to the permissions and credential restrictions of each operation. Account access tokens and OAuth grants also use the Bearer header. In organizations that require SSO, Account Service Keys are not accepted for managing the organization's SSO settings, deleting the organization, or checking whether it can be deleted.

Path Parameters

organizationId
string
required
appId
string
required

Response

Current developer app configuration.

appId
string
required
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
createdByAccountId
string
required
description
string | null
required
Maximum string length: 500
developerOrganizationId
string
required
name
string
required
Required string length: 1 - 256
publicKeys
object[]
required
Required array length: 1 - 16 elements
redirectUris
string[]
required
Required array length: 1 - 32 elements
Maximum string length: 4096
requestedPermissions
string[]
required
Minimum array length: 1
status
enum<string>
required
Available options:
active,
disabled,
retired
updatedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
updatedByAccountId
string
required
version
string
required
Pattern: ^[1-9][0-9]{0,18}$
websiteUrl
string | null
required
Maximum string length: 2048